Bug 29588 - DataAdapter.Fill throws Exception
Summary: DataAdapter.Fill throws Exception
Status: RESOLVED NORESPONSE
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Data (show other bugs)
Version: 3.12.0
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-04-30 08:26 UTC by Mazzanti Luca
Modified: 2018-02-22 22:38 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Mazzanti Luca 2015-04-30 08:26:53 UTC
Today i updated Xamarin at the new version, and now i cannot execute that code.

var da = new SQLiteDataAdapter(cmq);
var dt = new DataTable();
da.Fill(dt);

the Fill method launch always an exception "SourceTable is required to be a non-empty string".
In the previous version (yet tested) it process correctly, maning dt.SourceTable with a String.Empty.
I temporarly solved setting a not null, not empty value on dt.SourceTable before fill it.
I tried it with Mono.Data.Sqlite and also with Mono.Data.Sqlcipher.
Thanks for the support, Mazzanti Luca.
Comment 1 Marek Safar 2015-05-07 15:05:43 UTC
How can we reproduce the issue. SQLiteDataAdapter is not part of framework. Please provide complete step how to reproduce the issue
Comment 2 Marek Safar 2018-02-22 22:38:05 UTC
Closing